Bug 1409591 (CVE-2016-10034) - CVE-2016-10034 php-zendframework: Parameter injection in setFrom() function
Summary: CVE-2016-10034 php-zendframework: Parameter injection in setFrom() function
Keywords:
Status: CLOSED UPSTREAM
Alias: CVE-2016-10034
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1409592 1409593 1409594 1409595
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-02 15:09 UTC by Andrej Nemec
Modified: 2019-09-29 14:03 UTC (History)
2 users (show)

Fixed In Version: php-zendframework 2.4.11, php-zendframework-zend-mail 2.7.2
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-08 03:04:59 UTC


Attachments (Terms of Use)

Description Andrej Nemec 2017-01-02 15:09:46 UTC
The setFrom function in the Sendmail adapter in the zend-mail
component before 2.4.11, 2.5.x, 2.6.x, and 2.7.x before 2.7.2, and
Zend Framework before 2.4.11 might allow remote attackers to pass
extra parameters to the mail command and consequently execute
arbitrary code via a \" (backslash double quote) in a crafted e-mail
address.

References:

http://seclists.org/oss-sec/2016/q4/780
http://legalhackers.com/advisories/ZendFramework-Exploit-ZendMail-Remote-Code-Exec-CVE-2016-10034-Vuln.html

Comment 1 Andrej Nemec 2017-01-02 15:10:41 UTC
Created php-zendframework-zend-mail tracking bugs for this issue:

Affects: fedora-all [bug 1409593]

Comment 2 Andrej Nemec 2017-01-02 15:10:46 UTC
Created php-ZendFramework2 tracking bugs for this issue:

Affects: epel-all [bug 1409594]

Comment 3 Andrej Nemec 2017-01-02 15:10:51 UTC
Created php-ZendFramework tracking bugs for this issue:

Affects: fedora-all [bug 1409592]
Affects: epel-all [bug 1409595]

Comment 4 Product Security DevOps Team 2019-06-08 03:04:59 UTC
This CVE Bugzilla entry is for community support informational purposes only as it does not affect a package in a commercially supported Red Hat product. Refer to the dependent bugs for status of those individual community products.


Note You need to log in before you can comment on or make changes to this bug.